////////////////////////////////////////////////////////////////////////////////
/// \file humax.types.h
///
/// \version 1.01
/// \date 07-08-2006
/// \author Andrew Smith <andrew.smith@freenet.co.uk>
///
/// \par Copyright:
/// Copyright (C) 2005-2005 Trolltech AS. All rights reserved.
///
/// \brief Application definitions.
///
/// Contains global definitions, type definitions, etc.
///
////////////////////////////////////////////////////////////////////////////////

////////////////////////////////////////////////////////////////////////////////
///// CHANGE HISTORY                                                       /////
////////////////////////////////////////////////////////////////////////////////
/*****

Date:     Ver: Description:
-------- ---- ------------------------------------------------------------------
20-07-06 1.00 Initial release.
07-08-06 1.01 Version update and added DUAL_READ_SLEEP_MS.

*****/
#ifndef HUMAX_TYPES_H
#define HUMAX_TYPES_H

////////////////////////////////////////////////////////////////////////////////
///// PROGRAM VERSION INFO                                                 /////
////////////////////////////////////////////////////////////////////////////////

#define PROGRAM_NAME	"Humax PVR9200T Media Controller"	/*!< Full Media Controller name string. */
#define PROGRAM_VERSION	"V1.02"								/*!< Media Controller release version string. */
#define VERSION_DATE	"5th June 2006"						/*!< Media Controller release date string. */
#define COPYRIGHT		"(c) 2006 Andy Chappell"			/*!< Media Controller Copyright string. */

////////////////////////////////////////////////////////////////////////////////
///// GUI VERSION INFO                                                     /////
////////////////////////////////////////////////////////////////////////////////

#define GUI_PROGRAM_NAME		"Qt (4.1.4) GUI"		/*!< Full GUI application name string. */
#define GUI_PROGRAM_VERSION		"V1.00"					/*!< GUI application release version string. */
#define GUI_VERSION_DATE		"29th July 2006"		/*!< GUI application release date string. */
#define GUI_COPYRIGHT			"(c) 2006 Andy Smith"	/*!< GUI application Copyright string. */

//////////////////////////////////////////////////////////////////////////////////////
///// OTHER DEFINES                                                              /////
//////////////////////////////////////////////////////////////////////////////////////

#define DUAL_READ_SLEEP_MS		800

#endif // HUMAX_TYPES_H
